<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('safety_and_privacy', function (Blueprint $table) {
            $table->foreignId('axis_type_id')->nullable()->constrained('axis_types');
            $table->string('axis_type_name')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('safety_and_privacy', function (Blueprint $table) {
            $table->dropForeign('axis_type_id');
            $table->dropColumn('axis_type_name');
        });
    }
};
